List all tags on account
curl --request GET \
--url https://vanguard.profilebehavior.com/api/v4/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanguard.profilebehavior.com/api/v4/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanguard.profilebehavior.com/api/v4/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"tags": [
{
"id": "60e9ca73c500a9001534ad84",
"createdAt": "2025-01-01T09:42:52.329056-05:00",
"updatedAt": "2025-01-01T09:42:52.329056-05:00",
"label": "Team",
"color": "emerald",
"profiles": [
"6592008029c8c3e4dc76256c",
"507f191e810c19729de860ea"
]
}
]
}{
"code": 400,
"error": {
"message": "Invalid account ID",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}{
"code": 401,
"error": {
"message": "Invalid token",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}Tag
Get All Tags
Returns all tags defined for the account, including team labels, colors, and associated profiles. Use this endpoint to organize or analyze groups, teams, or cohorts within an account.
GET
/
tags
List all tags on account
Authorizations
M2MOAuth2
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of tags to retrieve per paginated request.
The current page of results you are requesting. This indicates how many documents to skip based on the provided limit.
Response
Success
Standard response object for successful requests that return an array of resources. Used for list endpoints in the Profile Behavior API.
Was this page helpful?